import {requestInstance} from "@/service";

export function getLabelRuleHomeTableDataTheme(params) {
 return requestInstance({
  url:'/DataLabel/queryLabelBasicRulesList',
  data:{
   ...params
  }
 })
}
export function getLabelRuleHomeTableDataBase(params) {
 return requestInstance({
  url:'/DataLabelDetail/queryLabelCIDBasic',
  data:{
   ...params
  }
 })
}
export function exportFileTheme() {
 return requestInstance({
  url:'/DataLabelDetailDownload/ExcelDownload',
  method:'get'
 })
}
export function exportFileBase() {
 return requestInstance({
  url:'/ptjkInterface/exportZt_Label',
  method:'get'
 })
}
export function addLabelRuleDataTheme(params) {
 return requestInstance({
  url:'/DataLabel/addLabelBasicRules',
  data:{
   ...params
  }
 })
}
export function editLabelRuleDataTheme(params) {
 return requestInstance({
  url:'/DataLabel/ediLabelBasicRules',
  data:{
   ...params
  }
 })
}
export function addLabelRuleDataBaseFirst(params) {
 return requestInstance({
  url:'/DataLabelDetail/addCIDLabelBIGRules',
  data:{
   ...params
  }
 })
}
export function editLabelRuleDataBaseFirst(params) {
 return requestInstance({
  url:'/DataLabelDetail/editCIDLabelBIGRules',
  data:{
   ...params
  }
 })
}
export function addLabelRuleDataBaseSecond(params) {
 return requestInstance({
  url:'/DataLabelDetail/addCIDLabelMIDDLERules',
  data:{
   ...params
  }
 })
}
export function editLabelRuleDataBaseSecond(params) {
 return requestInstance({
  url:'/DataLabelDetail/editCIDLabelMIDDLERules',
  data:{
   ...params
  }
 })
}
export function addLabelRuleDataBaseThird(params) {
 return requestInstance({
  url:'/DataLabelDetail/addCIDLabelSMALLRules',
  data:{
   ...params
  }
 })
}
export function editLabelRuleDataBaseThird(params) {
 return requestInstance({
  url:'/DataLabelDetail/editCIDLabelSMALLRules',
  data:{
   ...params
  }
 })
}
export function deleteLabelRuleData(LABEL_ID) {
 return requestInstance({
  url:'/DataLabel/delLabelBasicRules',
  data:{
   LABEL_ID
  }
 })
}
export function getLabelDetailArr(params) {
 return requestInstance({
  url:'/DataLabelDetail/queryLabelConfigRulesDetailInfoByCid',
  data:{
   ...params
  }
  }
 )
}
